** Compiler Personality for g++ 3.4

* substitute headers

* gcc include directories, obtained with 'g++ -c -v test.cpp'

* implicit macros, obtained with 'g++ -E -dM test.cpp'

* for some installations of g++ these implicit macros may not be included in 'g++ -E -dM test.cpp' output
-sd "__cplusplus"
-sd "__STDC__"
-sd "__STRICT_ANSI__"
-sd "_GNU_SOURCE"

* compiler implicit types
-it "size_t=unsigned int"
-it "ptrdiff_t=int"

* parsing extensions
-sdep+
-ptp-
-dpft+
-ifn-
-sig-
-atncrb-
-accd-
-duc99dilt+

* extension keywords
-SD "__attribute__=_ignore_paren"
-SD "__const=const"
-SD "__declspec(x)=__attribute__((x))"
-SD "__alignof__(x)=1"
-SD "__extension__="
-SD "__restrict="
-SD "__restrict__="
-SD "__inline__=inline"
-sd "__inline=inline"
-SD "__asm__=_ignore_paren"
-SD "asm=_ignore_paren"
-SD "__volatile__=volatile"
-SD "__complex__="
-SD "_Complex="
-SD "__real__="
-SD "__imag__="
-SD "__null=0"
-SD "__PRETTY_FUNCTION__=_PRL_STRINGIFY(__PRETTY_FUNCTION__)"
-SD "__FUNCTION__=_PRL_STRINGIFY(__FUNCTION__)"
-SD "__func__=_PRL_STRINGIFY(__func__)"
-SD "__typeof(t)=void*"
-SD "__typeof__(t)=void*"

* statement expressions
-SD "__WAIT_INT(status)=(status)"
-SD "dllimport="
